Bug 36380 - formatting non-BSD disk drives during install
formatting non-BSD disk drives during install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-17 19:29 EDT by john.goshdigian
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-23 11:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description john.goshdigian 2001-04-17 19:29:36 EDT
When installing/upgrading, a DOS/NT system to Linux, the disk drive does not get formatted
and the user can not install Linux.
It appears that the Installation cannot format a disk drive that doesn't have a BSD label.

If one manually runs fdisk and types the b command, then the problem goes away.
Comment 1 Brent Fox 2001-04-18 00:38:04 EDT
I'm not sure I understand the problem.  The installer does not need any BSD disk
labels in order to work.  You should create ext2 partitions and then give the
partitions mount points.  If you want to remove DOS/NT/Windows, then you need to
delete all the existing DOS partitions on the hard drive and create new ext2
(linux) partitions.
Comment 2 john.goshdigian 2001-04-18 10:11:31 EDT
I wish the statement were true that:
    "The installer does not need any BSD disk labels in order to work".
Unfortunately,  that is the bug.
The problem is that when one has a disk drive formatted for Windows NT (Fat 
partitioned), and one wants to install Red Hat Linux, the installer complains 
that it can't read the geometry of the drive.
Thus the user can't install Linux on the drive.

You can easliy reproduce this problem on an Alpha Miata system,
where the problem will tend to happen more often.
To reproduce: From SRM console,  >>> set os_type NT
then power the machine down and back up.
While the alpha bios initializes, enter setup (by hitting <F2> key)
In setup, go to "Hard Disk Drive setup...."
and tell it to prepare the first disk for Windows NT (It will setup 2 FAT 
partitions on the disk)
then goto CMOS settings, then <F6> for Advanced, then tab down to reset
console for Unix (SRM, and Save <F10> a couple times and <enter> 
(follow the directions to save the settings).
Power the machine down and up.
Now try to install Red Hat 7.1 Alpha on that drive.
After selecting Custom install, the installer complains with the follwoing 
error message:
    "An error occurred reading the partition table for
    the block device sda. The error was:
    Partition(s) do not end on cylinder boundary.
    This occurs because the drive geometry detected
    by the kernel used by the installation is different
    than the drive geometry used when the drive was
    partitioned. This can be corrected by specifying 
    the drive geometry on the kernel command line
    when booting the installer.
                                   | skip drive |
The installation should help the user by putting a BSD label on the drive.
Then the above error would not occur, and could save unnecessary 
customer support phone calls.

Hope that helps to clarify the problem.
Comment 3 Brent Fox 2001-04-18 10:55:40 EDT
Oh, ok...you're on an Alpha.  I didn't pick up on that at first because the
Product-Version tag says Red Hat Linux 7.1...which hasn't yet been released for
Alpha.  Are you running 7.0 or something else?
So for Alpha, yes, the installer has to have BSD disk labels for SRM to be able
to boot from it.  I think it might be better to set the SRM os_type to something
other than NT...like Tru64.  I don't know if SRM currently has a Linux option.
Anyway, the installer is having a hard time reading the partition table that
Windows made.  If you were to use fdisk and wipe all the partitions off the
drive, then Disk Druid could read the drive and make the correct partitions.

As an alternative, you can use the Compaq Alpha JumpStart cd, which will
configure your hard drive for Linux automatically.  At the end of the JumpStart
procedure, you can then put in your Red Hat Linux cd and start the install.
Comment 4 john.goshdigian 2001-04-18 11:25:06 EDT
Yes, the workarounds are known.
This bug is with the pre-beta 7.1 Alpha kit - QA0405 (and probably applies to earlier releases)
Comment 5 Brent Fox 2001-04-21 18:28:14 EDT
I'm not sure that there's much we can do...I think this is one of those cases
that calls for an "expert" install, which means using fdisk instead of Disk Druid.

Note You need to log in before you can comment on or make changes to this bug.